---
image: python:3.7
services:
  - docker:dind

stages:
  - lint
  - sanity

lint:
  stage: lint
  before_script:
    - pip install tox
  script:
    tox -e lint

sanity:
  image: docker:stable
  stage: sanity
  script:
    docker run -v $(pwd):/build registry.gitlab.com/dreamer-labs/piperci/piperci-mindflayer:latest
